<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\BusinessType;

class CompanyProfileObject implements DataTransferObject
{
    /** @var string|null */
    private $email;

    /** @var string */
    private $phone;

    /** @var int|null */
    private $companyType;

    /**
     * CompanyObject constructor.
     * @param string|null $email
     * @param string $phone
     * @param int|null $businessType
     */
    public function __construct(?string $email, string $phone, int $companyType)
    {
        $this->email = $email;
        $this->phone = $phone;
        $this->companyType = $companyType;
    }

    /**
     * @return null|string
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getPhone(): string
    {
        return $this->phone;
    }

    /**
     * @return int
     */
    public function getCompanyType(): int
    {
        return $this->companyType;
    }
}
